Sugerencia para el cliente SSH de Ubuntu

Mucho se ha hablado de la accesibilidad tanto para Sitios Web como para el Escritorio, y justo hoy me he topado con algo muy molesto del cliente SSH incluido en Ubuntu (y posiblemente en muchas otras distribuciones GNU/Linux).

Se trata de que hace unos días cambiamos uno de nuestros sitios web a otro servidor dedicado más potente, las credenciales del servidor ahora son diferentes a las que el cliente SSH tiene almacenado para ese dominio, y por tanto recibo esta alerta:

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@ WARNING: POSSIBLE DNS SPOOFING DETECTED! @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
The RSA host key for dominio.tld has changed, and the key for the according IP address xx.xx.xx.xx is unknown. This could either mean that DNS SPOOFING is happening or the IP address for the host and its host key have changed at the same time.
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@ WARNING: REMOTE HOST IDENTIFICATION HAS CHANGED! @
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
IT IS POSSIBLE THAT SOMEONE IS DOING SOMETHING NASTY!
Someone could be eavesdropping on you right now (man-in-the-middle attack)!
It is also possible that the RSA host key has just been changed.
The fingerprint for the RSA key sent by the remote host is 7f:46:e6:c2:26:23:6c:ad:94:75:7b:ba:41:45:49:89.
Please contact your system administrator.
Add correct host key in /home/jaroche/.ssh/known_hosts to get rid of this message.
Offending key in /home/jaroche/.ssh/known_hosts:5
RSA host key for dominio.tld has changed and you have requested strict checking.
Host key verification failed.

Agradezco mucho el que me advierta que hay algo raro con la IP relacionada al dominio, pero lo que no me gusta es que NO exista la opción de hacer el cambio de credenciales; ahora debo ir al archivo known_hosts y ver como soluciono esto, si es que quiero conectarme de nuevo al servidor.

¿Por que no simplemente me advierte que hay algo raro, y a la vez me da opción a continuar con la conexión o no? Sin tener que ir al archivo known_hosts y solucionarlo, ¿es tan difícil agregar una pregunta para confirmar el cambio de la llave RSA?

En Windows utilizo el cliente SSH “original” y cuando intenté conectarme al dominio en cuestión, este me mostró el siguiente mensaje de advertencia:

Alerta de cambio de credenciales

Si ven al final me pregunta si quiero continuar con la conexión, y luego de esto me pide que confirme la llave RSA del servidor. Eso resulta muy cómodo, no tengo que ir a C:\Documents and Settings\Administrator\Application Data\SSH\HostKeys a buscar la llave en cuestión y hacer el respectivo cambio.

Ahora bien, quiero ser más constructivo y no solo criticar. ¿Como puedo hacer llegar esta sugerencia al lugar correcto? Se que hay muchas formas, pero no quisiera navegar por 20 páginas del wiki de Ubuntu para descubrir que es en Launchpad el asunto.

Etiquetas: , , , ,

Mythbuntu, Ubuntu y MythTV juntos

MythUbuntu, Ubuntu y MythTVCada día, Ubuntu Linux es más popular; prueba de ellos son las variantes de la paquetería estándar que de poco en poco son lanzadas hacia segmentos más específicos que el de Ubuntu como tal.

Hace unas pocas hora acaba de ver la luz Mythbuntu, versión Alpha 1, que es una modificación de Ubuntu preconfigurado con MythTV [wikipedia]. La modificación es tal que no incluye aplicaciones innecesarias como OpenOffice, Evolution e incluso todo el Gestor de Ventanas GNOME no están incluidos en Mythbuntu, ya que está más enfocada a ser una solución autónoma.

Mythbunt - Screenshot

Mythbuntu, aún esta en estado alpha y por los errores que reportan queda trabajo por hacer, aún así es una opción más junto ha LinuxMCE [wikipedia], KnoppMyth [wikipedia] y Windows Media Center.

La última vez que intenté instalar MythTV en mi Ubuntu 6.06 fue bastante decepcionante ya que debía compilar algunos drivers antes de poder usar el TV Tuner de mi HP m1070n, y la configuración de MythTV no es muy intuitiva que se diga (aún no comprendo por que necesita mysql server para funcionar!). Talvez alguna de estas soluciones ayude a que pierda el amor por Windows MCE 😛 , solo voy a esperar a que madure un poco más antes de probarlo 🙂

Descargalo desde: Mythbuntu.org

Etiquetas: , , , , ,

Ubuntu entre los 100 mejores productos del 2007 según PC World

Una vez más Ubuntu es reconocido como uno de los mejores productos del año por la revista PC World. Este año le fue dada la posición 16, subiendo 11 posiciones comparado con el 2006.

A pesar de que aún encuentras algunos problemas, sin duda ha mejorado mucho desde Breezy (5.10) la primera versión de esta distribución que probé. ¡Felicidades a todos los involucrados!

Etiquetas de búsqueda: , , , ,

Instalando la Plantilla de UbuntuStudio

Creo que muchos ya escucharon hablar de Ubuntu Studio, la nueva variante de Ubuntu especializada en edición multimedia. Si han visto los screenshots de esta Distribución, verán que la plantilla que incluye es bastante elegante, la cual no es necesario instalar Ubuntu Studio para tenerla, basta con seguir estos pasos:

  1. Editar /etc/apt/sources.list y agregar:
    deb http://archive.ubuntustudio.org/ubuntustudio feisty main
  2. Agregar la llave del repositorio:
    $ wget http://archive.ubuntustudio.org/ubuntustudio.gpg -O- | sudo apt-key add -
  3. Actualizar la base de datos de repositorios:
    $ sudo apt-get update
  4. Para instalar la plantilla para el gdm, wallpapers, iconos, session splashes y y plantilla gtk, ejecuta:
    $ sudo apt-get install ubuntustudio-look
    Sino para evitar que cambien la plantilla del gdm y el session splash:
    $ sudo apt-get install ubuntustudio-theme ubuntustudio-icon-theme ubuntustudio-wallpapers
  5. Configuras una plantilla usado los iconos y plantilla de UbuntuStudio y listo 🙂

Mi escritorio ahora luce así:

Plantilla de Ubuntu Studio

>> Traducido de: Installing Ubuntu Studio Theme

Etiquetas de búsqueda: , , , , ,

Instalando GIMP 2.3.x en Ubuntu

GIMP 2.3 es la versión en desarrollo de la próxima versión estable 2.4, razón por la cual no es posible obtenerla desde los repositorios de Ubuntu. Pero en Ubuntu Forums uno de los usuarios está distribuyendo los .debs de Gimp 2.3, así no tenemos que compilarlo desde el código fuente.

Gimp 2.3 .deb packageTodo es de bajar la versión de 32bits o 64bits según corresponda, ahora van por la versión 2.3.15 (13MB), se instala y listo. A pesar de que el .deb dice que es para edgy, lo he instalado sin problemas en feisty. Algo peculiar del .deb es que no interfiere con la instalación de la versión anterior de GIMP 2.2…. es posible correr los dos al mismo tiempo:

Gimp 2.2 y 2.3

(GIMP 2.2 a la izquierda y 2.3 en la derecha)

GIMP 2.3 trae muchas mejoras como para listarlas acá, pero una de las primeras que notarás es el cambio de iconos al estilo Tango. Me esta gustando la nueva version, luce un poco más madura 🙂

Referencia: GIMP 2.3.13. Get the .deb here! – Ubuntu Forums

Etiquetas: , software libre, ubuntu,

Corriendo en Ubuntu Feisty Fawn

Como lo comente, el mismo día que liberaron la nueva versión de Ubuntu, Feisty Fawn, hice la actualización desde Linux Mint (basado en Edgy Eft). Bajar los 800MBs se tomo buena parte del día, vaya que use un sitio espejo sino me hubiese tardado más. El resto del día se fue en la instalación de los nuevos paquetes.

Luego del largo proceso de actualización, no he notado mayores cambios en mi escritorio, todo luce igual salvo algunos detalles extras con GNOME y que finalmente mi teclado de 105 teclas funciona correctamente bajo el XGL Server(esto si es bueno). Lo único que si ha sido un dolor de cabeza fue que se arruinara la instalación de Apache y PHP.

Cuando termino la actualización, mi Apache no arranco por que la versión de php 5.2.1 no era la misma que la de los repositorios e incompatible con apache 2.2. Elimine la versión conflictiva de php e instale la de los repositorios oficiales, todo bien hasta allí. Pero sorpresa algo raro sucedía que php5 no cargaba en apache; luego de mucho investigar y revisar apache2.conf y los módulos habilitados, pude darme cuenta que durante en la actualización de apache se instalo el paquete apache2-mpm-worker el cual no es compatible con libapache-mod-php5…. joder!

Bueno solo era de quitar ese e instalar apache2-mpm-prefork para que funcionara, en teoría. Pero no funciono bien: PHP 5.2.1 ya estaba cargado en apache2 pero ahora los scripts .php no eran ejecutados como debía de ser, a pesar de tener la directiva AddType application/x-httpd-php .php. Llege al punto que desinstale apache y php5, me asegure varias veces de que todo estuviera en orden y detener apache por completo a fin de que leyera de nuevo los archivos de configuración… y nada.

Ya casi por vencido y a un paso de arrancar con la partición de Windows, decidí reiniciar por probar… y funciono!. Pinche Apache o Firefox, no se!!, con el reinicio total del sistema se le quitaron las mañas y todo volvió a funcionar como antes. Perdí unas 3 horas de trabajo, revisando las configuración y leyendo un poco; pero por el lado bueno aprendí de memoria donde esta cada archivo 😛

Moraleja: Para la próxima actualización del sistema debo recordar ejecutar aptitude hold apache2 php5 mysq, a fin de que evite cualquier mejora de versión jejejeje.

Bueno ahora solo me toca volver a recompilar los drivers nVidia y ATi, ya que nueva versión de Kernel, hay que recompilar esos malditos drivers…. Otro que me dio problemas fue Deluge, un cliente p2p basado en GTK pero todo fue que bajara la ultima versión del mismo y listo.

En Resumen, la actualización a Feisty no me ha traído «grandes» beneficios como para justificar las horas que pase actualizando y reparando los cagadales :S . Quizás pasados los días le veré más beneficios.

Etiquetas de búsqueda: , , , , , , , , , , ,

Full Circle, e-magazine dedicada a Ubuntu

Ya esta disponible parra descarga el primer (#0) ejemplar de Full Circle, una revista electrónica solamente sobre Ubuntu. En este primer número tratan brevemente la historia de Ubuntu desde Warty hasta Feisty y un repaso de las principales características de Festy.

Full Circle e-magazine

Full Circle es mantenida por la Comunidad, cualquiera que lo desee puede colaborar.

Descarga: Full Circle #0 (pdf, 2.5 MBs)

Etiquetas: ubuntu, ,

Unete al equipo de Ubuntu Guatemala en Launchpad.net

Ubuntu GuatemalaSi eres usuario de Ubuntu y ya has pedido alguna vez tus discos de ubuntu por correo, quiere decir que ya tienes una cuenta en launchpad.net. Con esa misma cuenta de te puedes unir a nuestro equipo en lauchpad:

https://launchpad.net/~ubuntu-gt

Para unirte solo debes indicar que eres guatemalteco en tu perfil de usuario. ¿Cómo hacerlo? Vas a tu perfil y eliges Change home page, y veras un cuandro de texto en el que puedes describirte a tí mismo, lo que haces, de donde eres, etc. Grabas y luego pides unirte a ubuntu guatemala.

¿Qué propósito tiene unirse al equipo? Lo que queremos es demostrar que en Guatemala si hay usuarios de Ubuntu y esto eventualmente nos servirá para que podamos convertirnos en un Local Community Team aprobado. Luego pueda que te intereses en querer participar actívamente con el equipo.

Esperamos que te unas al equipo 🙂

Actualización 11:45am: Nuestra página ubuntu-guatemala.org no esta cargado debido a problemas con el hosting. Espero que más tarde regrese a la vida 😦

Actualización 11:52am: Pues ya regreso, pero quien sabe.

Etiquetas de búsqueda: , , , ,

Pide desde ya Ubuntu Feisty Fawn (7.04)

Desde hace mucho que Ubuntu ofrece la entrega por correo de CDs de cada una de sus versiones mayores, libre de cargos; yo puedo dar fe de que si cumplen con la entrega. Aún cuando la nueva version, Feisty Fawn, no ha ha sido liberada oficialmente ya se pueden pedir que te envíen una copia del CD por correo desde su pagina de ShipIt.

Ubuntu - ShipIt

Te recuerdo que solo pidas los que en realidad vayas a necesitar, amenos que estés seguro de que los puedas regalar y sean bien usados, no sea que pase lo de la última vez que no habilitaron el envío de CDs de Edgy Eft.

Etiquetas de búsqueda: , , , , ,

Instalando PHP 5.2.1 en Ubuntu Edgy Eft

PHP 5.2.1 no hace mucho que salió, incluye numerosos parches de seguridad y estabilidad; como siempre es importante que tus scripts sean compatibles y no hayan problemas con la actualización. Dado que en Ubuntu Edgy Eft solo está disponible PHP 5.1.6 desde los repositorios oficiales, la forma más fácil de instalar la ultima versión es agregando un repositorio de Debian.

Para ello es necesario editar /etc/apt/sources.list, agregando estas lineas:

deb http://packages.dotdeb.org stable all
deb-src http://packages.dotdeb.org stable all

Si ya tienes php5 instalado, solo es necesario ejecutar sudo aptitude update para que nos informe de la nueva versión disponible y se actualice automáticamente. El único inconveniente es que la librería mysqli no esta disponible para 5.2.1, aunque realmente no se si funcionaría la version para 5.1.6.

Etiquetas: , , ,